import greenfoot.*;
import java.awt.Color;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class WeaponBar extends Actor
{
    int r = 0;
    int g = 0;
    int b = 255;
    int alpha = 255;

    public WeaponBar(int rotation)
    {
        setRotation(rotation);
    }
    
    public void act() 
    {
        setMyImage();
    } 

    public void setMyImage()
    {
        Space mySpace = (Space) getWorld();
        Starship Endeavour = mySpace.getStarship();
        if (Endeavour.getHealth() < 0)
        {
            getWorld().removeObject(this);
        }
        int imageX = 100;
        int imageY = 30;
        GreenfootImage img = new GreenfootImage(imageX, imageY);
        img.setColor(MyColor());
        img.fillRect(0, 0, imageX, (Endeavour.getWeaponDelay() / 2));
        setImage(img);
    }

    private Color MyColor()
    {
        return new Color(r,g,b,alpha);
    }
}