import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Sniper here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Boss extends Foe
{
    int weaponFireDelay = 0;
    int health = 800;
    int cannonDelay = 0;
    int shotsFired = 0;

    public void act() 
    {
        aim();
        checkHit();
        move();
        setImage();
        weaponFireDelay++;
    }    

    public void aim()
    {
        Space mySpace = (Space) getWorld();
        Starship Endeavour = mySpace.getStarship();
        if(Endeavour.getHealth() > 0 && this.getY() > 0)
        {
            if (weaponFireDelay >= 500)
            {
                cannonDelay++;
                if (cannonDelay >= 10)
                {
                    getWorld().addObject(new FoeLaser((getRotation()) + 90), getX() + 17,  getY() + 80);
                    getWorld().addObject(new FoeLaser((getRotation()) + 90), getX() - 17,  getY() + 80);
                    Greenfoot.playSound("Laser.mp3");
                    shotsFired = shotsFired + 2;
                    cannonDelay = 0;
                }
                if (shotsFired >= 16)
                {
                    getWorld().addObject(new Beam(), getX(), getY() + 70);
                    Greenfoot.playSound("Beam.wav");
                    weaponFireDelay = 0;
                    shotsFired = 0;
                }
            }
        }
    }

    public void checkHit()
    {
        Actor shipLaser = getOneIntersectingObject(ShipLaser.class);
        if (shipLaser != null && this.getY() > 0)
        {
            getWorld().removeObject(shipLaser);
            health = health - 50;
        }
        if (health <= 0)
        {
            ((Space) getWorld()).enemiesOnScreen--;
            ((Space) getWorld()).enemiesKilled++;
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);
        }
    }

    public void move()
    {
        if (health > 0)
        {
            Space mySpace = (Space) getWorld();
            Starship Endeavour = mySpace.getStarship();
            if (Endeavour.getHealth() > 0){
                if (this.getX() > Endeavour.getX())
                {
                    setLocation(getX() - 2, getY());
                }
                if (this.getX() < Endeavour.getX())
                {
                    setLocation(getX() + 2, getY());
                }
                if (this.getY() < 80 && Endeavour.getY() > this.getY())
                {
                    setLocation(getX(), getY() + 1);
                }
                if (Endeavour.getY() < this.getY())
                {
                    setLocation(getX(), getY() - 1);
                }
            }
        }
    }

    public void setImage()
    {
        if (weaponFireDelay >= 0)
        {
            this.setImage("Boss.png");
        }
        if (weaponFireDelay >= 100)
        {
            this.setImage("BossC1.png");
        }
        if (weaponFireDelay >= 200)
        {
            this.setImage("BossC2.png");
        }
        if (weaponFireDelay >= 300)
        {
            this.setImage("BossC3.png");
        }
        if (weaponFireDelay >= 400)
        {
            this.setImage("BossC4.png");
        }
    }

    public int getHealth()
    {
        return health;
    }
}
