import greenfoot.*;
import java.awt.Color;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Forcefield here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Forcefield extends Actor
{
    int r = 0;
    int g = 255;
    int b = 0;
    int alpha = 100;
    boolean forcefieldDown =  false;
    int regenerate = 0;
    int recharge = 0;

    public void act() 
    {
        Space mySpace = (Space) getWorld();
        Starship Endeavour = mySpace.getStarship();
        if (Endeavour.getHealth() > 0)
        {
            stayOnShip();
            checkHit();
            regenerateForcefield();
            setMyImage();
        }
    }

    public void setMyImage()
    {
        int imageX = 78;
        int imageY = 104;
        GreenfootImage img = new GreenfootImage(imageX, imageY);
        img.setColor(myColor());
        img.fillOval(0, 0, imageX, imageY);
        setImage(img);
    }

    public void checkHit()
    {
        Actor laser = getOneIntersectingObject(FoeLaser.class);
        Actor beam = getOneIntersectingObject(Beam.class);
        if (laser != null && forcefieldDown == false)
        {
            alpha = alpha - 25;
            getWorld().removeObject(laser);
        }
        if (alpha <= 0)
        {
            forcefieldDown = true;
            alpha = 0;
        }
        if (alpha != 100 && forcefieldDown == false)
        {
            recharge++;
            if (recharge == 4)
            {
                alpha++;
                recharge = 0;
            }
        }
    }

    public void regenerateForcefield()
    {
        if (forcefieldDown == true)
        {
            regenerate++;
            if (regenerate >= 800)
            {
                alpha = 100;
                forcefieldDown = false;
                recharge = 0;
                regenerate = 0;
            }
        }
    }

    public void stayOnShip()
    {
        Space mySpace = (Space) getWorld();
        Starship Endeavour = mySpace.getStarship();
        this.setRotation(Endeavour.getRotation() - 90);
        this.setLocation(Endeavour.getX(), Endeavour.getY());
    }

    private Color myColor()
    {
        return new Color(r,g,b,alpha);
    }

    public int getAlpha()
    {
        return alpha;
    }

    public int getRegenerate()
    {
        return regenerate;
    }
}
