import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Sniper here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Sniper extends Foe
{
    int weaponFireDelay = 0;

    public void act() 
    {
        aim();
        checkHit();
        weaponFireDelay++;
    }    

    public void aim()
    {
        Space mySpace = (Space) getWorld();
        Starship Endeavour = mySpace.getStarship();
        if(Endeavour.getHealth() > 0)
        {
            turnTowards(Endeavour.getX(), Endeavour.getY());
            if (weaponFireDelay >= 120)
            {
                getWorld().addObject(new FoeLaser(getRotation()), getX(), getY());
                weaponFireDelay = 0;
                Greenfoot.playSound("Laser.mp3");
            }
        }
    }

    public void checkHit()
    {
        Actor shipLaser = getOneIntersectingObject(ShipLaser.class);
        Actor explosion = getOneIntersectingObject(Explosion.class);
        if (shipLaser != null || explosion != null && this.getY() > 0)
        {
            getWorld().removeObject(shipLaser);
            ((Space) getWorld()).enemiesOnScreen--;
            ((Space) getWorld()).enemiesKilled++;
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);
        } else {
            this.setLocation(getX(), getY() + 1);
            if (this.getY() > getWorld().getHeight())
            {
                ((Space) getWorld()).enemiesOnScreen--;
                getWorld().removeObject(this);
            }
        }
    }
}
